Subject: merging problems with Linus' kernel tree.

From: Dave Jones <[email-masked]>
Date: Tue, 21 Feb 2006 13:33:06 -0500

I did my morning 'git pull' on Linus' tree to a clean tree
that I never make any commits to, and got this ...

$ git pull
Unpacking 2425 objects
 100% (2425/2425) done
* refs/heads/origin: fast forward to branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
Auto-following refs/tags/v2.6.16-rc3
Auto-following refs/tags/v2.6.16-rc4
Unpacking 2 objects
 100% (2/2) done
* refs/tags/v2.6.16-rc4: storing tag 'v2.6.16-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
* refs/tags/v2.6.16-rc3: storing tag 'v2.6.16-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
Updating from 418aade459f03318defd18ef0b11981a63bd81b0 to 5914811acf36c3ff091f860a6964808f668f27d0.
Documentation/cpu-hotplug.txt: needs update
fatal: Entry 'Documentation/cpu-hotplug.txt' would be overwritten by merge. Cannot merge.

$ git-fsck-objects
dangling commit 5914811acf36c3ff091f860a6964808f668f27d0

$ git-cat-file commit 5914811acf36c3ff091f860a6964 808f668f27d0
tree 04317a64fa5e76a13f29de655fe354abd627445d
parent 6d7b9efacba9f4e5f4d5ca165b1a4350da52ddd7
author Bj�rn Steinbrink <[email-masked]> 1140282763 +0100
committer Linus Torvalds <[email-masked]> 1140496058 -0800

[PATCH] kjournald keeps reference to namespace

In daemonize() a new thread gets cleaned up and 'merged' with init_task.
The current fs_struct is handled there, but not the current namespace.

This adds the namespace part.

[ Eric Biederman pointed out the namespace wrappers, and also notes that
we can't ever count on using our parents namespace because we already
have called exit_fs(), which is the only way to the namespace from a
process. ]

Signed-off-by: Björn Steinbrink <[email-masked]>
Acked-by: Eric Biederman <[email-masked]>
Signed-off-by: Linus Torvalds <[email-masked]>

I ran a fsck on the disk, and that turned up nothing, so I'm
not expecting any local fs corruption.
What's up with this, and how do I fix it?

		Dave